Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.event
Class RegistrationEvent

    java.lang.Object
      java.util.EventObject
          org.flexdock.event.Event
              org.flexdock.event.RegistrationEvent

All Implemented Interfaces:
  Serializable, DockingConstants

Direct Known Subclasses:
  RegistrationEvent

    public class RegistrationEvent

extends Event

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static int` | `REGISTERED`
`static int` | `UNREGISTERED`

Fields inherited from class java.util.EventObject
`source`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`RegistrationEvent(Object src, Object owner, boolean registered)`
`RegistrationEvent(Object src, Object owner, int evtType)`

Method Summary
`Object` | `getOwner()`

Methods inherited from class org.flexdock.event.Event
`getEventType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTERED

    public static final int REGISTERED

See Also:
  Constant Field Values

### UNREGISTERED

    public static final int UNREGISTERED

See Also:
  Constant Field Values

Constructor Detail

### RegistrationEvent

    public RegistrationEvent(Object src,
                             Object owner,
                             int evtType)

### RegistrationEvent

    public RegistrationEvent(Object src,
                             Object owner,
                             boolean registered)

Method Detail

### getOwner

    public Object getOwner()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD